clear all;
close all;
%% Paramtres utilisatrice
% 

T = 0.25;               % Fentre d'observation [s]
M=32;                   % Nombre d'chantillons dans la fentre
Fsin = 4 ;              % Frquence d'un sinus [Hz]
%% Paramtres dduits

Te = T/M;               % Priode d'chantillonnage [s]
Tsim = T-Te;            % Instant final de simulation avec M points [s] 
fprintf("Frquence = %f Hz", 1/Te)
%% Calculs prliminaires
%% Lancement de simulink

tic
out=sim("simDFT"); 
toc
%% Visualisations temporelle

plot(out.sin_continu,'.-');
hold on;

t =   out.sin_echanti.Time;
sig = out.sin_echanti.Data;

stem(t, sig , 'o');
grid on;
%% Calcul DFT

Tfd = fft(sig);
abscisses=1:length(Tfd); 

%% visualisation DFT

figure()
plot(abscisses,abs(Tfd),'o-');
ylabel("Module Transforme de Fourier")
xlabel("???  indices de tableau Matlab de 1  32 ???")